commit:     fe0fbb9be2181d13d814b61d36dbf89995f96e58
Author:     Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  7 08:45:42 2017 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Fri Jul  7 08:45:42 2017 +0000
URL:        https://gitweb.gentoo.org/proj/lisp.git/commit/?id=fe0fbb9b

dev-lisp/environment: Updates to common-lisp-3 eclass

 dev-lisp/environment/environment-1.3.ebuild | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/dev-lisp/environment/environment-1.3.ebuild 
b/dev-lisp/environment/environment-1.3.ebuild
index 7ed22639..f5baf16a 100644
--- a/dev-lisp/environment/environment-1.3.ebuild
+++ b/dev-lisp/environment/environment-1.3.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Id$
 
-inherit common-lisp-2
+EAPI=6
+
+inherit common-lisp-3
 
 DESCRIPTION="Provides an CLOS (CL Object System) encapsulation of the current 
CL implementation environment"
 HOMEPAGE="http://packages.debian.org/unstable/devel/cl-environment";
@@ -21,11 +22,14 @@ S="${WORKDIR}"/cl-${PN}-${PV}.orig
 
 src_unpack() {
        unpack ${A}
-       cp "${FILESDIR}"/${PN}.asd "${S}"
+}
+
+src_prepare() {
+       cp "${FILESDIR}"/${PN}.asd "${S}" || die
 }
 
 src_install() {
-       common-lisp-install *.{lisp,asd} impl-dependent
-       common-lisp-symlink-asdf
+       common-lisp-install-sources *.lisp impl-dependent
+       common-lisp-install-asdf
        dodoc README
 }

Reply via email to